- entityDefinitions:
  - IDI_TaskCategory_ConditionalSelectAttributeCase: '{5836d7d3-2375-49e4-8cd6-a27012ea886d}'
  - IDI_Task_ViewConditionalSelectAttributeCase: '{77a666e8-1c3e-4eb7-b33c-fb3f9a6b4957}'
  - IDI_Task_EditConditionalSelectAttributeCase: '{4efc971e-57a6-40a2-8180-b0b3f6906d18}'
  - IDE_ConditionalSelectAttributeCase_View: '{67c177d6-4866-4d13-98f1-c9d7a4d5bdc9}'
  - IDE_ConditionalSelectAttributeCase_Edit: '{bd68ad2d-31fb-44b2-a57d-da41f4002f9a}'
  - IDE_ConditionalSelectAttributeCase_Definition: '{b7d70cdb-dc42-40d1-a5b9-235c57b7f099}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeCase;'
    name: 'Conditional Select Attribute Case'

  - sequenceTask: '&IDI_Task_ViewConditionalSelectAttributeCase;'
    name: 'View Conditional Select Attribute Case'
    initiatingElement: '&IDE_ConditionalSelectAttributeCase_View;'
    taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeCase;'

  - sequenceTask: '&IDI_Task_EditConditionalSelectAttributeCase;'
    name: 'Edit Conditional Select Attribute Case'
    initiatingElement: '&IDE_ConditionalSelectAttributeCase_Edit;'
    taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeCase;'

  - element: '&IDE_ConditionalSelectAttributeCase_View;'
    name: 'view sac case'
    elementContents:
    - globalIdentifier: '{f412dfb7-85cf-463e-981f-febfed779dec}'
      defaultDataType: '&IDC_ConditionalSelectAttributeCase;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{3b99e30d-ffcc-4562-86fc-3ace9ec9beaf}'
      defaultDataType: '&IDE_ConditionalSelectAttributeCase_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ConditionalSelectAttributeCase_Edit;'
    name: 'edit sac case'
    elementContents:
    - globalIdentifier: '{68c299a8-594e-4a6a-9852-5085619ede61}'
      defaultDataType: '&IDC_ConditionalSelectAttributeCase;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{ddc045d0-5f20-4dc3-87c9-14278e974d18}'
      defaultDataType: '&IDE_ConditionalSelectAttributeCase_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ConditionalSelectAttributeCase_Definition;'
    name: 'sac case subedit'
    label: 'Implementation'
    elementContents:
    - globalIdentifier: '{43ac9eba-2689-4b08-a463-5f4c158c972d}'
      defaultDataType: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
      label: 'True Conditions'
      order: a
    - globalIdentifier: '{a1ec9fa0-8678-4e68-9ee2-98f6ed412af2}'
      defaultDataType: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
      label: 'False Conditions'
      order: b
    - globalIdentifier: '{64efaa6c-541a-4a72-80ca-498d83d8df5b}'
      defaultDataType: '&IDA_UseAnyCondition;'
      label: 'Use Any Condition'
      order: c
    - globalIdentifier: '{ceb58a75-7cea-4188-90ee-da037eb954c6}'
      defaultDataType: '&IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute;'
      label: 'Get Return Attribute from RAMB'
      order: d
    - globalIdentifier: '{33f889fd-fc92-450a-9407-378c3d49dff6}'
      defaultDataType: '&IDA_Comment;'
      label: 'Comment'
      order: e
